Table of Contents

## Name

gluLoadSamplingMatrices - load NURBS sampling and culling matrices

## C Specification

void gluLoadSamplingMatrices( GLUnurbs* nurb,

        const GLfloat *model,
        const GLfloat *perspective,
        const GLint *view )

eqn not supported

## Parameters

nurb
  Specifies the NURBS object (created with gluNewNurbsRenderer).
model
  Specifies a modelview matrix (as from a glGetFloatv call).
perspective
  Specifies a projection matrix (as from a glGetFloatv call).
view
  Specifies a viewport (as from a glGetIntegerv call).

## Description

gluLoadSamplingMatrices uses model, perspective, and view to recompute the sampling and culling matrices stored in nurb. The sampling matrix determines how finely a NURBS curve or surface must be tessellated to satisfy the sampling tolerance (as determined by the GLU_SAMPLING_TOLERANCE property). The culling matrix is used in deciding if a NURBS curve or surface should be culled before rendering (when the GLU_CULLING property is turned on).

gluLoadSamplingMatrices is necessary only if the GLU_AUTO_LOAD_MATRIX property is turned off (see gluNurbsProperty). Although it can be convenient to leave the GLU_AUTO_LOAD_MATRIX property turned on, there can be a performance penalty for doing so. (A round trip to the GL server is needed to fetch the current values of the modelview matrix, projection matrix, and viewport.)

## See Also

gluGetNurbsProperty(3G) , gluNewNurbsRenderer(3G) , gluNurbsProperty(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- See Also